updateCellList = context.updateCellList

product = context

supply = context.purchase_supply_module.newContent(
portal_type='Purchase Supply',
source_section_value=context.organisation_module['3004'],
start_date_range_min=DateTime('2016/10/1 00:00:00 GMT+9'),
start_date_range_max=DateTime('2018/10/1 00:00:00 GMT+9'),
)

portal = context.getPortalObject()

for brand in product.getVariationCategoryList(base_category_list=['brand']):

  supply_line = supply.newContent(
    portal_type='Purchase Supply Line',
    p_variation_base_category_list=['brand'],
    resource_value=product,
    price_currency_value=context.currency_module.JPY,
    base_unit_price=1
  )

  table = ({'base_id':'path',
            'cell_range_kw':{},
            'mapped_value_argument_list':('base_price',),
            'table':((brand, 1000),
                     )
           },)

  updateCellList(portal,
                 supply_line,
                 'Purchase Supply Cell',
                 'SupplyLine_asCellRange',
                 table)

supply.validate()
