if 1:

  kw = dict(portal_type="Quantity Unit Conversion Definition",
            grand_parent_portal_type="Quantity Unit Conversion Module",
            validation_state="validated")

  result = {}
  for definition in context.portal_catalog(**kw):
    definition = definition.getObject()

    definition_group = definition.getParentValue()
    if definition_group.getValidationState() != "validated":
      continue

    standard_quantity_unit_uid = definition_group.getQuantityUnitUid()
    if standard_quantity_unit_uid is None:
      continue

    print definition_group.absolute_url(), standard_quantity_unit_uid
    result[standard_quantity_unit_uid] = (None, 1.0)

    print definition.getTitle()

    unit_uid = definition.getQuantityUnitUid()
    if unit_uid is None:
      print 'unit_uid is None', definition.getTitle()
      continue

    definition_ratio = definition.getConversionRatio()
    if not definition_ratio:
      print 'definition_ratio is None', definition.getTitle()
      continue

    print unit_uid, (definition.getUid(), definition_ratio)
    result[unit_uid] = (definition.getUid(), definition_ratio)
    print result
    print '-'*100


print '-'*100
for key, value in result.items():
  print key, value


print '-'*100


def getCategoryQuantityUnitDefinitionDict():
  quantity_unit = context.portal_categories.quantity_unit
  result = {}
  for obj in quantity_unit.getCategoryMemberValueList(portal_type="Category"):
    obj = obj.getObject()
    quantity = obj.getProperty('quantity')
    if quantity is not None:
      result[obj.getUid()] = (None, float(quantity))
  return result

for key, value in getCategoryQuantityUnitDefinitionDict().items():
  print key, value



return printed
