from Products.ERP5Type.Document import newTempMovement

movement_list = []

for dict_ in context.Base_getShortageResourceDataDictList():

  supply_path_value = dict_['supply_path_value']
  resource_value = dict_['resource_value']
  path_quantity_unit = dict_['path_quantity_unit']
  required_stock_in_path_quantity_unit = dict_['required_stock_in_path_quantity_unit']
  start_date = dict_['start_date']

  movement = newTempMovement(context, 'temp_movement')
  movement.edit(
    source_section=supply_path_value.getSourceSection(),
    source=supply_path_value.getSource(),
    destination_section=supply_path_value.getDestinationSection(),
    destination=supply_path_value.getDestination(),
      price_currency=supply_path_value.getPriceCurrency(),
      resource=resource_value.getRelativeUrl(),
      variation_category_list=supply_path_value.getVariationCategoryList(),
      quantity_unit=path_quantity_unit,
      quantity=required_stock_in_path_quantity_unit,
      ledger=context.portal_categories.ledger.automated_ordering.getCategoryRelativeUrl(),
      start_date=start_date,
      )

  movement_list.append(movement)

context.portal_orders.automated_ordering_purchase_order_builder.build(movement_list=movement_list)

#############
# Questions
#
#     how long future(1 week or 1 month or 1 year?) automatic ordering has to check. (getFutureInventory without to_date is probably useless because inventory api uses workflow state. date is not considered)
#    







return 'done'
